package com.bcxin.tenant.open.domains.services;

import com.bcxin.tenant.open.domains.services.commands.*;
import com.bcxin.tenant.open.domains.services.commands.results.CancelRollCallEmployeeCommandResult;
import com.bcxin.tenant.open.domains.services.commands.results.CreateRollCallCommandResult;

public interface RollCallService {
    CreateRollCallCommandResult dispatch(CreateRollCallCommand command);

    void dispatch(BatchRollCallEmployeeCommand command);

    void dispatch(ReplyRollCallEmployeeStatusCommand command);

    void dispatch(RollCallBatchDispatchCommand command);

    CancelRollCallEmployeeCommandResult dispatch(CancelRollCallEmployeeCommand command);

    void dispatch(RollCallBatchEmployeeRoomActionCommand command);
}
